Subject: Re: [PATCH net] stmmac: Revert "stmmac: align RX buffers"

From: Marc Zyngier <[email-masked]>
Date: Sat, 21 Aug 2021 10:50:41 +0100

On Fri, 20 Aug 2021 22:46:10 +0100,
Jakub Kicinski <[email-masked]> wrote:
> 
> On Fri, 20 Aug 2021 19:30:02 +0100 Marc Zyngier wrote:
> > This reverts commit a955318fe67e ("stmmac: align RX buffers"),
> > which breaks at least one platform (Nvidia Jetson-X1), causing
> > packet corruption. This is 100% reproducible, and reverting
> > the patch results in a working system again.
> > 
> > Given that it is "only" a performance optimisation, let's
> > return to a known working configuration until we can have a
> > good understanding of what is happening here.
> 
> Seems reasonable. Hopefully it wont discourage Matteo from revisiting
> the optimization. Applied, thanks!

That's my hope too. As I pointed out at the end of the towards the end
of the discussion I linked to, this buys us time to work out exactly
where is the gap in our understanding of the buffer allocation for
this particular driver.

Once we clearly understand why it fails on some systems and not some
others (which on its own could cover a multitude of sins), I'd be glad
to see this optimisation brought back in, and I'm willing to help with
it.

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.